import { MultilineBlockquoteRule } from './multiline-blockquote.rule';
const MultilineBlockquotePlugin = (md, options) => {
    options !== null && options !== void 0 ? options : (options = {});
    md.block.ruler.before('blockquote', 'multiline_blockquote', (...args) => {
        if (options.enable != null && !options.enable(md))
            return false;
        return MultilineBlockquoteRule.apply(undefined, args);
    });
};
export { MultilineBlockquotePlugin, MultilineBlockquoteRule };
//# sourceMappingURL=multiline-blockquote.plugin.js.map